package cn.com.started.msorderserver.config;

import cn.com.started.msorderserver.model._MappingKit;
import com.jfinal.plugin.activerecord.ActiveRecordPlugin;
import com.jfinal.template.source.ClassPathSourceFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.sql.DataSource;
import java.sql.Connection;

@Configuration
public class ActiveRecordPluginConfig {

    @Autowired
    private DataSource druidDataSource;

        @Bean
        public void ininitActiveRecordPlugin(){
        ActiveRecordPlugin arp=new ActiveRecordPlugin(druidDataSource);
        arp.setTransactionLevel(Connection.TRANSACTION_READ_COMMITTED);
        _MappingKit.mapping(arp);
        arp.setShowSql(true);
        arp.getEngine().setSourceFactory(new ClassPathSourceFactory());
//      arp.addSqlTemplate("/sql/all_sqls.sql");
        // 必须手动调用start
        arp.start();
    }
}
