package cn.com.started.msorderserver.config;
import com.jfinal.kit.PathKit;
import com.jfinal.plugin.activerecord.generator.Generator;
import com.jfinal.plugin.druid.DruidPlugin;

import javax.sql.DataSource;

/**
 * ActiveRecord代码生成器
 */
public class CodeGenerator {

    public static void main(String[] args) {
        DruidPlugin druidPlugin=new DruidPlugin("jdbc:mysql://localhost:3306/dc?useSSL=false","root","12345678");
        druidPlugin.start();
        generator(druidPlugin.getDataSource());
    }

    public static void generator(DataSource dataSource) {
        String basePkg="cn.com.started.msorderserver";
        // base model 所使用的包名
        String baseModelPkg = basePkg+".model.base";
        // base model 文件保存路径
        String baseModelDir = PathKit.getWebRootPath() + "/src/main/java/cn/com/started/msorderserver/model/base";

        // model 所使用的包名
        String modelPkg = basePkg+".model";
        // model 文件保存路径
        String modelDir = baseModelDir + "/..";

        Generator gernerator = new Generator(dataSource, baseModelPkg, baseModelDir, modelPkg, modelDir);
        // 在 getter、setter 方法上生成字段备注内容
        gernerator.setGenerateRemarks(true);
        gernerator.generate();
    }
}
