package cn.com.started.msuserservice;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication
@EnableEurekaClient
@EnableFeignClients
@MapperScan("cn.com.started.msuserservice.dao")
public class MsUserServiceApplication {

    public static void main(String[] args) {
        SpringApplication.run(MsUserServiceApplication.class, args);
    }
}
